---
title: llarp::layers::flow::FlowInfo

---

# llarp::layers::flow::FlowInfo





## Public Functions

|                | Name           |
| -------------- | -------------- |
| std::string | **[ToString](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md#function-tostring)**() const |
| bool | **[operator==](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md#function-operator==)**(const [FlowInfo](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md) & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [FlowAddr](Classes/classllarp_1_1layers_1_1flow_1_1FlowAddr.md) | **[src](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md#variable-src)**  |
| [FlowAddr](Classes/classllarp_1_1layers_1_1flow_1_1FlowAddr.md) | **[dst](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md#variable-dst)**  |
| [FlowTag](Classes/structllarp_1_1layers_1_1flow_1_1FlowTag.md) | **[tag](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md#variable-tag)**  |
| uint16_t | **[mtu](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md#variable-mtu)**  |

## Public Functions Documentation

### function ToString

```cpp
std::string ToString() const
```


### function operator==

```cpp
bool operator==(
    const FlowInfo & other
) const
```


## Public Attributes Documentation

### variable src

```cpp
FlowAddr src;
```


### variable dst

```cpp
FlowAddr dst;
```


### variable tag

```cpp
FlowTag tag;
```


### variable mtu

```cpp
uint16_t mtu {default_flow_mtu};
```


-------------------------------

Updated on 2023-03-06 at 20:36:34 +0000